(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     11241,        330]
NotebookOptionsPosition[     10680,        306]
NotebookOutlinePosition[     11034,        322]
CellTagsIndexPosition[     10991,        319]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Visualize", " ", "the", " ", "determinant", " ", "constraint"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"abcons", "=", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Sqrt", "[", "2", "]"}]}], "/", "2"}], ",", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Sqrt", "[", "2", "]"}]}], "/", "2"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Sqrt", "[", "2", "]"}], "/", "2"}], ",", 
         RowBox[{
          RowBox[{"Sqrt", "[", "2", "]"}], "/", "2"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"detcons", " ", "=", " ", 
     RowBox[{"Circle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"col", " ", "=", " ", 
     RowBox[{"ColorData", "[", "\"\<DarkBands\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"hexpts", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], ",", 
        RowBox[{"Cos", "[", "x", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", 
        RowBox[{"2", "*", "Pi"}], ",", 
        RowBox[{"Pi", "/", "3"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Thick", ",", 
       RowBox[{"col", "[", ".5", "]"}], ",", 
       RowBox[{"Scale", "[", 
        RowBox[{"detcons", ",", "1.01"}], "]"}], ",", 
       RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
       RowBox[{"col", "[", ".2", "]"}], ",", 
       RowBox[{"Polygon", "[", "hexpts", "]"}], ",", 
       RowBox[{"col", "[", "0", "]"}], ",", "abcons"}], "}"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<a\>\"", ",", "\"\<b\>\""}], "}"}]}]}], "]"}]}]}]], "Input",\

 CellChangeTimes->{{3.6034641751146393`*^9, 3.6034643705744247`*^9}, {
   3.603464780565074*^9, 3.60346478664316*^9}, {3.603464832957903*^9, 
   3.603464927248868*^9}, {3.603465003417205*^9, 3.603465007303349*^9}, {
   3.603465045149665*^9, 3.6034651900330687`*^9}, {3.60346528622369*^9, 
   3.60346529569094*^9}, {3.603465440646937*^9, 3.6034655541572437`*^9}, {
   3.603465615043539*^9, 3.603465617434774*^9}, 3.6034658296907177`*^9, {
   3.603466284745295*^9, 3.603466293878066*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      SqrtBox["3"], "2"], ",", 
     FractionBox["1", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      SqrtBox["3"], "2"], ",", 
     RowBox[{"-", 
      FractionBox["1", "2"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       SqrtBox["3"], "2"]}], ",", 
     RowBox[{"-", 
      FractionBox["1", "2"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       SqrtBox["3"], "2"]}], ",", 
     FractionBox["1", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.603464338560412*^9, 3.6034643708917103`*^9}, 
   3.6034647870100107`*^9, {3.603464836928276*^9, 3.603464927500326*^9}, {
   3.603465062471857*^9, 3.603465176211093*^9}, {3.603465485602265*^9, 
   3.603465490442286*^9}, {3.603465521375318*^9, 3.603465555162038*^9}, 
   3.603465830357367*^9, 3.603466294361477*^9}],

Cell[BoxData[
 GraphicsBox[
  {RGBColor[0.8656718434295813, 0.7054209217978141, 0.5442937505144491], 
   Thickness[Large], 
   GeometricTransformationBox[
    CircleBox[{0, 0}], {{{1.01, 0.}, {0., 1.01}}, Center}], 
   {RGBColor[0.6017238272162821, 0.7482522952907897, 0.49226160276824], 
    Opacity[0.5], 
    PolygonBox[
     NCache[{{0, 1}, {Rational[1, 2] 3^Rational[1, 2], Rational[1, 2]}, {
       Rational[1, 2] 3^Rational[1, 2], Rational[-1, 2]}, {0, -1}, {
       Rational[-1, 2] 3^Rational[1, 2], Rational[-1, 2]}, {
       Rational[-1, 2] 3^Rational[1, 2], Rational[1, 2]}, {0, 1}}, {{0, 1}, {
       0.8660254037844386, 0.5}, {0.8660254037844386, -0.5}, {
       0, -1}, {-0.8660254037844386, -0.5}, {-0.8660254037844386, 0.5}, {0, 
       1}}]], 
    {RGBColor[0.684154, 0.875059, 0.95523], 
     RectangleBox[
      NCache[{-2^Rational[-1, 2], -2^
         Rational[-1, 2]}, {-0.7071067811865475, -0.7071067811865475}], 
      NCache[{2^Rational[-1, 2], 2^Rational[-1, 2]}, {0.7071067811865475, 
       0.7071067811865475}]]}}},
  Axes->True,
  AxesLabel->{
    FormBox["\"a\"", TraditionalForm], 
    FormBox["\"b\"", TraditionalForm]}]], "Output",
 CellChangeTimes->{{3.603464338560412*^9, 3.6034643708917103`*^9}, 
   3.6034647870100107`*^9, {3.603464836928276*^9, 3.603464927500326*^9}, {
   3.603465062471857*^9, 3.603465176211093*^9}, {3.603465485602265*^9, 
   3.603465490442286*^9}, {3.603465521375318*^9, 3.603465555162038*^9}, 
   3.603465830357367*^9, 3.6034662943675756`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.603465128523993*^9, 3.603465129150663*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Visualize", " ", "the", " ", "determinant", " ", "constraint"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"abcons", "=", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Sqrt", "[", "2", "]"}]}], "/", "2"}], ",", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Sqrt", "[", "2", "]"}]}], "/", "2"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Sqrt", "[", "2", "]"}], "/", "2"}], ",", 
         RowBox[{
          RowBox[{"Sqrt", "[", "2", "]"}], "/", "2"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"detcons", " ", "=", " ", 
     RowBox[{"Disk", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"col", " ", "=", " ", 
     RowBox[{"ColorData", "[", "\"\<DarkBands\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"labels", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Text", "[", 
       RowBox[{"\"\<C1\>\"", ",", 
        RowBox[{"{", 
         RowBox[{".5", ",", ".95"}], "}"}]}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<C2\>\"", ",", 
        RowBox[{"{", 
         RowBox[{".95", ",", 
          RowBox[{"-", ".5"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<C3\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".5"}], ",", 
          RowBox[{"-", ".95"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<C4\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".95"}], ",", ".5"}], "}"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Thick", ",", 
       RowBox[{"col", "[", ".5", "]"}], ",", 
       RowBox[{"Scale", "[", 
        RowBox[{"detcons", ",", "1.01"}], "]"}], ",", "White", ",", "abcons", 
       ",", "Black", ",", "labels"}], "}"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<a\>\"", ",", "\"\<b\>\""}], "}"}]}]}], "]"}]}]}]], "Input",\

 CellChangeTimes->{{3.603465628907432*^9, 3.603465659965003*^9}, {
   3.6034658150439863`*^9, 3.603465817138069*^9}, {3.603465937492096*^9, 
   3.60346602304128*^9}, {3.6034660546689157`*^9, 3.603466055916173*^9}, {
   3.603466122022091*^9, 3.603466183556903*^9}, 3.603466300768873*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Text", "[", 
    RowBox[{"\<\"C1\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0.5`", ",", "0.95`"}], "}"}]}], "]"}], ",", 
   RowBox[{"Text", "[", 
    RowBox[{"\<\"C2\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0.95`", ",", 
       RowBox[{"-", "0.5`"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"Text", "[", 
    RowBox[{"\<\"C3\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.5`"}], ",", 
       RowBox[{"-", "0.95`"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"Text", "[", 
    RowBox[{"\<\"C4\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.95`"}], ",", "0.5`"}], "}"}]}], "]"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.603465661098105*^9, 3.6034658176238623`*^9, {3.603466005964705*^9, 
   3.603466023832487*^9}, 3.603466056901259*^9, {3.603466123687916*^9, 
   3.603466126213869*^9}, {3.603466161738818*^9, 3.603466183856332*^9}, 
   3.6034663014277678`*^9}],

Cell[BoxData[
 GraphicsBox[
  {RGBColor[0.8656718434295813, 0.7054209217978141, 0.5442937505144491], 
   Thickness[Large], 
   GeometricTransformationBox[
    DiskBox[{0, 0}], {{{1.01, 0.}, {0., 1.01}}, Center}], 
   {GrayLevel[1], 
    RectangleBox[
     NCache[{-2^Rational[-1, 2], -2^
        Rational[-1, 2]}, {-0.7071067811865475, -0.7071067811865475}], 
     NCache[{2^Rational[-1, 2], 2^Rational[-1, 2]}, {0.7071067811865475, 
      0.7071067811865475}]]}, 
   {GrayLevel[0], InsetBox["\<\"C1\"\>", {0.5, 0.95}], 
    InsetBox["\<\"C2\"\>", {0.95, -0.5}], 
    InsetBox["\<\"C3\"\>", {-0.5, -0.95}], 
    InsetBox["\<\"C4\"\>", {-0.95, 0.5}]}},
  Axes->True,
  AxesLabel->{
    FormBox["\"a\"", TraditionalForm], 
    FormBox["\"b\"", TraditionalForm]}]], "Output",
 CellChangeTimes->{
  3.603465661098105*^9, 3.6034658176238623`*^9, {3.603466005964705*^9, 
   3.603466023832487*^9}, 3.603466056901259*^9, {3.603466123687916*^9, 
   3.603466126213869*^9}, {3.603466161738818*^9, 3.603466183856332*^9}, 
   3.603466301429447*^9}]
}, Open  ]]
},
WindowSize->{740, 867},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 2616, 69, 131, "Input"],
Cell[3198, 93, 1169, 38, 52, "Output"],
Cell[4370, 133, 1502, 30, 412, "Output"]
}, Open  ]],
Cell[5887, 166, 92, 1, 28, "Input"],
Cell[CellGroupData[{
Cell[6004, 171, 2662, 76, 148, "Input"],
Cell[8669, 249, 957, 28, 46, "Output"],
Cell[9629, 279, 1035, 24, 412, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
